be.fgov.ehealth.standards.kmehr.schema.v1

## Class FolderType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.FolderType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:21:11+02:00",
                 comments="JAXB RI v2.3.7")
      public class FolderType
      extends Object
      implements Serializable

  contains the clinical information related to one patient

  Java class for folderType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="folderType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
               <element name="patient" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}transactionType" maxOccurs="unbounded"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `List<LnkType>` | `getLnks()` Gets the value of the lnks property.
    `PersonType` | `getPatient()` Gets the value of the patient property.
    `List<TextType>` | `getTexts()` Gets the value of the texts property.
    `List<TransactionType>` | `getTransactions()` Gets the value of the transactions property.
    `void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.
    `void` | `setPatient(PersonType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderType

          public FolderType()

  - ### Method Detail

    - #### getConfidentiality

          public ConfidentialityType getConfidentiality()

      Gets the value of the confidentiality property.
      Returns:
        possible object is `ConfidentialityType`

    - #### setConfidentiality

          public void setConfidentiality(ConfidentialityType value)

      Sets the value of the confidentiality property.
      Parameters:
        `value` - allowed object is `ConfidentialityType`

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getPatient

          public PersonType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PersonType`

    - #### setPatient

          public void setPatient(PersonType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PersonType`

    - #### getTransactions

          public List<TransactionType> getTransactions()

      Gets the value of the transactions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactions property.

      For example, to add a new item, do as follows:

              getTransactions().add(newItem);

      Objects of the following type(s) are allowed in the list `TransactionType`

    - #### getTexts

          public List<TextType> getTexts()

      Gets the value of the texts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

      For example, to add a new item, do as follows:

              getTexts().add(newItem);

      Objects of the following type(s) are allowed in the list `TextType`

    - #### getLnks

          public List<LnkType> getLnks()

      Gets the value of the lnks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnks property.

      For example, to add a new item, do as follows:

              getLnks().add(newItem);

      Objects of the following type(s) are allowed in the list `LnkType`

Connector Packaging PERSDIETICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.